{% extends "index.html" %}

{% block content %}
    {% if user.is_authenticated %}
    <h3>Teachers</h3>
    <table class="table table-dark table-striped">
        <thead style="align-self: center">
        <tr>
            <th scope="col">Avatar</th>
{#            <th scope="col">#id</th>#}
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
            <th scope="col">Email</th>
            <th scope="col">Birth date</th>
            <th scope="col">Phone</th>
            <th scope="col">Profession</th>
            <th scope="col">Group</th>
            <th scope="col">Edit</th>
            <th scope="col">Delete</th>
        </tr>
        </thead>
        <tbody class="table-group-divider">
        {% for teacher in teachers %}
            <tr>
                <td> <img src="../media/{{ teacher.avatar }}" alt="No image." height="50" width="50"></td>
{#                <td>{{ teacher.pk }}</td>#}
                <td>{{ teacher.first_name }}</td>
                <td>{{ teacher.last_name }}</td>
                <td>{{ teacher.email }}</td>
                {% if teacher.birth_date %}
                    <td>{{ teacher.birth_date }}</td>
                {% else %}
                    <td>Undefined</td>
                {% endif %}
                <td>{{ teacher.phone_number }}</td>
                <td>{{ teacher.profession }}</td>

                <td>
                {% if teacher.group.all %}
                    <a type="button" class="btn btn-success"
                       href="{% url 'groups:show_any_groups' teacher.id %}">Groups</a>
                {% else %}
                    <a type="button" class="btn btn-dark"
                       href="#">Vacant</a>
                {% endif %}
                </td>

                <td><a type="button" class="btn btn-warning"
                       href="{% url 'teachers:update_teachers' teacher.pk %}">Edit</a>

                </td>
                <td><a type="button" class="btn btn-danger"
                       href="{% url 'teachers:delete_teachers' teacher.pk %}">Delete</a>
                </td>

            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% endif %}
{% endblock content %}